org.fourthline.cling.support.model

## Class DIDLObject.Property<V>

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject.Property<V>

- Direct Known Subclasses:
    DIDLObject.Property.DC.CONTRIBUTOR, DIDLObject.Property.DC.DATE, DIDLObject.Property.DC.DESCRIPTION, DIDLObject.Property.DC.LANGUAGE, DIDLObject.Property.DC.PUBLISHER, DIDLObject.Property.DC.RELATION, DIDLObject.Property.DC.RIGHTS, DIDLObject.Property.DLNA.PROFILE_ID, DIDLObject.Property.PropertyPersonWithRole, DIDLObject.Property.SEC.CAPTIONINFO, DIDLObject.Property.SEC.CAPTIONINFOEX, DIDLObject.Property.SEC.TYPE, DIDLObject.Property.UPNP.ALBUM, DIDLObject.Property.UPNP.ALBUM_ART_URI, DIDLObject.Property.UPNP.ARTIST_DISCO_URI, DIDLObject.Property.UPNP.CHANNEL_NAME, DIDLObject.Property.UPNP.CHANNEL_NR, DIDLObject.Property.UPNP.DIRECTOR, DIDLObject.Property.UPNP.DVD_REGION_CODE, DIDLObject.Property.UPNP.GENRE, DIDLObject.Property.UPNP.ICON, DIDLObject.Property.UPNP.LONG_DESCRIPTION, DIDLObject.Property.UPNP.LYRICS_URI, DIDLObject.Property.UPNP.ORIGINAL_TRACK_NUMBER, DIDLObject.Property.UPNP.PLAYLIST, DIDLObject.Property.UPNP.PRODUCER, DIDLObject.Property.UPNP.RADIO_BAND, DIDLObject.Property.UPNP.RADIO_CALL_SIGN, DIDLObject.Property.UPNP.RADIO_STATION_ID, DIDLObject.Property.UPNP.RATING, DIDLObject.Property.UPNP.REGION, DIDLObject.Property.UPNP.SCHEDULED_END_TIME, DIDLObject.Property.UPNP.SCHEDULED_START_TIME, DIDLObject.Property.UPNP.STORAGE_FREE, DIDLObject.Property.UPNP.STORAGE_MAX_PARTITION, DIDLObject.Property.UPNP.STORAGE_MEDIUM, DIDLObject.Property.UPNP.STORAGE_TOTAL, DIDLObject.Property.UPNP.STORAGE_USED, DIDLObject.Property.UPNP.TOC, DIDLObject.Property.UPNP.USER_ANNOTATION
  Enclosing class:
    DIDLObject

      public abstract static class DIDLObject.Property<V>
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DIDLObject.Property.DC`
    `static class` | `DIDLObject.Property.DLNA`
    `static interface` | `DIDLObject.Property.NAMESPACE`
    `static class` | `DIDLObject.Property.PropertyPersonWithRole`
    `static class` | `DIDLObject.Property.SEC`
    `static class` | `DIDLObject.Property.UPNP`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DIDLObject.Property()`
    `protected` | `DIDLObject.Property(String descriptorName)`
    `protected` | `DIDLObject.Property(V value, String descriptorName)`
    `protected` | `DIDLObject.Property(V value, String descriptorName, List<DIDLObject.Property<DIDLAttribute>> attributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(DIDLObject.Property<DIDLAttribute> attr)`
    `DIDLObject.Property<DIDLAttribute>` | `getAttribute(String descriptorName)`
    `String` | `getDescriptorName()`
    `V` | `getValue()`
    `void` | `removeAttribute(DIDLObject.Property<DIDLAttribute> attr)`
    `void` | `removeAttribute(String descriptorName)`
    `void` | `setOnElement(Element element)`
    `void` | `setValue(V value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DIDLObject.Property

          protected DIDLObject.Property()

    - #### DIDLObject.Property

          protected DIDLObject.Property(String descriptorName)

    - #### DIDLObject.Property

          protected DIDLObject.Property(V value,
                             String descriptorName)

    - #### DIDLObject.Property

          protected DIDLObject.Property(V value,
                             String descriptorName,
                             List<DIDLObject.Property<DIDLAttribute>> attributes)

  - ### Method Detail

    - #### getValue

          public V getValue()

    - #### setValue

          public void setValue(V value)

    - #### getDescriptorName

          public String getDescriptorName()

    - #### setOnElement

          public void setOnElement(Element element)

    - #### addAttribute

          public void addAttribute(DIDLObject.Property<DIDLAttribute> attr)

    - #### removeAttribute

          public void removeAttribute(DIDLObject.Property<DIDLAttribute> attr)

    - #### removeAttribute

          public void removeAttribute(String descriptorName)

    - #### getAttribute

          public DIDLObject.Property<DIDLAttribute> getAttribute(String descriptorName)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.